package com.xkrs.controller;

import com.xkrs.service.AppletsUserService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @author HP
 */
@RestController
public class AppletsUserController {

    @Resource
    private AppletsUserService appletsUserService;

    /**
     * 微信小程序登录
     * @param map
     * @return
     */
    @PostMapping("/userLogin")
    public String userLogin(@RequestBody Map map){
        String avatarUrl = (String) map.get("avatarUrl");
        String nickName = (String) map.get("nickName");
        Integer sex = (Integer) map.get("sex");
        String code = (String) map.get("code");
        return appletsUserService.userLogin(avatarUrl,nickName,sex,code);
    }

    /**
     * 解析手机号
     * @param map
     * @return
     */
    @PostMapping("/decodePhone")
    public String decodePhone(@RequestBody Map map){
        String encryptedData = (String) map.get("encryptedData");
        String iv = (String) map.get("iv");
        String openId = (String) map.get("openId");
        return appletsUserService.decodePhone(encryptedData,iv,openId);
    }
}
