package com.xkrs.model.entity;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author XinYi Song
 * 成员和项目的中间表
 */
@Entity
@Table(name="member_project")
public class MemberProject implements Serializable {
    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "member_project_seq_gen")
    @SequenceGenerator(name = "member_project_seq_gen", sequenceName = "member_project_id_seq",allocationSize = 1)
    private Integer id;

    /**
     * 成员的id
     */
    private Integer memberId;

    /**
     * 项目编号
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String memberProjectNumber;

    /**
     * 申请时间
     */
    @Column(length = 65,columnDefinition = "varchar(65)")
    private String applicationTime;

    /**
     * 加入时间
     */
    @Column(length = 65,columnDefinition = "varchar(65)")
    private String joinTime;

    /**
     * 申请的状态
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String applicationType;

    public MemberProject() {
    }

    public MemberProject(Integer id, Integer memberId, String memberProjectNumber, String applicationTime, String joinTime, String applicationType) {
        this.id = id;
        this.memberId = memberId;
        this.memberProjectNumber = memberProjectNumber;
        this.applicationTime = applicationTime;
        this.joinTime = joinTime;
        this.applicationType = applicationType;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getMemberId() {
        return memberId;
    }

    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }

    public String getMemberProjectNumber() {
        return memberProjectNumber;
    }

    public void setMemberProjectNumber(String memberProjectNumber) {
        this.memberProjectNumber = memberProjectNumber;
    }

    public String getApplicationTime() {
        return applicationTime;
    }

    public void setApplicationTime(String applicationTime) {
        this.applicationTime = applicationTime;
    }

    public String getJoinTime() {
        return joinTime;
    }

    public void setJoinTime(String joinTime) {
        this.joinTime = joinTime;
    }

    public String getApplicationType() {
        return applicationType;
    }

    public void setApplicationType(String applicationType) {
        this.applicationType = applicationType;
    }

    @Override
    public String toString() {
        return "MemberProject{" +
                "id=" + id +
                ", memberId=" + memberId +
                ", memberProjectNumber='" + memberProjectNumber + '\'' +
                ", applicationTime='" + applicationTime + '\'' +
                ", joinTime='" + joinTime + '\'' +
                ", applicationType='" + applicationType + '\'' +
                '}';
    }
}
