package com.xkrs.model.qo;

import com.xkrs.model.validation.WorkRecordQoInsert;
import com.xkrs.model.validation.WorkRecordQoUpdate;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * @author XinYi Song
 */
public class WorkRecordQo {

    @NotBlank(message = "{WorkHourRecord.workContent.null}",groups = {WorkRecordQoInsert.class, WorkRecordQoUpdate.class})
    @Size(max = 128, message = "{WorkHourRecord.workContent.length.illegal}",groups = {WorkRecordQoInsert.class, WorkRecordQoUpdate.class})
    private String workContent;

    @NotBlank(message = "{WorkHourRecord.workHour.null}",groups = {WorkRecordQoInsert.class, WorkRecordQoUpdate.class})
    private Integer workHour;

    @NotBlank(message = "{WorkHourRecord.color.null}",groups = {WorkRecordQoInsert.class, WorkRecordQoUpdate.class})
    private String color;

    @NotBlank(message = "{WorkHourRecord.projectNumber.null}",groups = {WorkRecordQoInsert.class, WorkRecordQoUpdate.class})
    private String projectNumber;

    private String submitTime;

    public WorkRecordQo(String workContent, Integer workHour, String color, String projectNumber, String submitTime) {
        this.workContent = workContent;
        this.workHour = workHour;
        this.color = color;
        this.projectNumber = projectNumber;
        this.submitTime = submitTime;
    }

    public String getWorkContent() {
        return workContent;
    }

    public void setWorkContent(String workContent) {
        this.workContent = workContent;
    }

    public Integer getWorkHour() {
        return workHour;
    }

    public void setWorkHour(Integer workHour) {
        this.workHour = workHour;
    }

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public String getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public String getSubmitTime() {
        return submitTime;
    }

    public void setSubmitTime(String submitTime) {
        this.submitTime = submitTime;
    }
}
